Loading...
Searching...
No Matches
AVQSVFramesContext Struct Reference

This struct is allocated as AVHWFramesContext.hwctx. More...

`#include <libavutil/hwcontext_qsv.h>`

## Data Fields

mfxFrameSurface1 * | surfaces
| A pointer to a mfxFrameSurface1 struct.
int | nb_surfaces
| Number of frames in the pool.
int | frame_type
| A combination of MFX_MEMTYPE_* describing the frame pool.
mfxFrameInfo * | info
| A pointer to a mfxFrameInfo struct.

## Detailed Description

This struct is allocated as AVHWFramesContext.hwctx.

Definition at line 53 of file hwcontext_qsv.h.

## Field Documentation

## surfaces

mfxFrameSurface1* AVQSVFramesContext::surfaces

A pointer to a mfxFrameSurface1 struct.

It is available when nb_surfaces is non-zero.

Definition at line 59 of file hwcontext_qsv.h.

## nb_surfaces

int AVQSVFramesContext::nb_surfaces

Number of frames in the pool.

It is 0 for dynamic frame pools or AVHWFramesContext.initial_pool_size for fixed frame pools.

Note only oneVPL GPU runtime 2.9+ can support dynamic frame pools on d3d11va or vaapi

Definition at line 70 of file hwcontext_qsv.h.

## frame_type

int AVQSVFramesContext::frame_type

A combination of MFX_MEMTYPE_* describing the frame pool.

Definition at line 75 of file hwcontext_qsv.h.

## info

mfxFrameInfo* AVQSVFramesContext::info

A pointer to a mfxFrameInfo struct.

It is available when nb_surfaces is 0, all buffers allocated from the pool have the same mfxFrameInfo.

Definition at line 83 of file hwcontext_qsv.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_qsv.h